name: app_mathquiz
description: "A new Flutter project for Math Quiz Game."
publish_to: 'none'
version: 1.0.0+1
resolution: workspace
environment:
  sdk: '^3.9.2'
  flutter: '>=3.10.0'

dependencies:
  flutter:
    sdk: flutter
  
  # --- 공통 의존성 (main.dart에서 필요) ---
  provider: ^6.1.2
  google_mobile_ads: ^5.1.0 
  
  # --- 로컬 패키지 의존성 ---
  
  # [C] 공통 서비스
  service_api:
    path: ../../packages/service_api
  
  # [A] 공통 UI
  feature_common:
    path: ../../packages/feature_common
    
  # [B] 수학 퀴즈 게임 로직
  feature_game_mathquiz:
    path: ../../packages/feature_game_mathquiz
  function_tree: ^0.9.1

dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^3.0.0

flutter:
  uses-material-design: true